### File

`packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-rules.model.ts`

### Index

###### Properties
levelId
###### Methods
get getScope set setScope

### Constructor

`constructor(id: string | number, valId: string, formApi: DynFormApi, ruleFn: UxDynRuleFn)`
Parameters :
Name | Type | Optional
id | `string | number` | No
valId | `string` | No
formApi | `DynFormApi` | No
ruleFn | `UxDynRuleFn` | No

### Properties

levelId

### Methods

get
`get()`
Returns : `Observable<any>`

getScope
`getScope()`
Returns : `any`

set
`set(newVal: any)`
Parameters :
Name | Type | Optional
newVal | `any` | No
Returns : `void`

setScope
`setScope(id)`
Parameters :
Name | Optional
id | No
Returns : `void`

# results matching ""

# No results matching ""